Subject: RE: DNS support for IPv6 multihomed nodes

From: "Emerson, Dave (D.)" <[email-masked]>
Date: Fri, 28 May 1999 06:54:06 -0400

Your example (a Cisco router?) is a good one.

It shows that the answer you get depends on the question you ask.

Hosts on the network should not be using DNS to resolve things like their
default router [1] but they may well use it to resolve a port on a
multi-homed server, in which case you may like to control which port a user
would hit.

In the example below, if the host had been described (say in a NM system) as
a name which resolves to the address of port E1/3, then the NM system would
indicate the host as unavailable, even though there may be another path open
to it via another interface.  For this example I would give a specific name
for each interface/address (e.g. rtr1_e1_3) plus an entry for rtr1 which
resolves to the loopback address.

The issue is not so much one of standards (it applies to both IPv4 and IPv6)
but of implementation strategy.

[1] "That way lies Monsters"

--  
Dave Emerson              Tel:Int.7302188 Ext.+44 (1)277 692188 
Special Projects, 12/016  Fax:Int.7302022 Ext.+44 (1)277 692022 
Technical Services        Internet Mail: [email-masked]      
Ford Credit Europe        Intranet Mail: [email-masked] 

> -----Original Message-----
> From:	Jared Mauch [SMTP:[email-masked]]
> Sent:	Thursday, May 27, 1999 3:15 PM
> To:	Vitaly Chipitsyn
> Cc:	DNSIND
> Subject:	Re: DNS support for IPv6 multihomed nodes
> 
> 	I would imagine you would do the same for
> multihomed ipv4 hosts, for example, I have a box with several ip
> addresses:
> 
> .anar.mi#sh ip int brief
> Interface              IP-Address      OK? Method Status
> Protocol
> Ethernet1/0            unassigned      YES unset  administratively down
> down    
> Ethernet1/1            204.42.254.1    YES NVRAM  up                    up
> 
> Ethernet1/2            198.87.20.65    YES NVRAM  up                    up
> 
> Ethernet1/3            204.42.253.17   YES NVRAM  administratively down
> down    
> Serial2/0              198.87.206.26   YES NVRAM  up                    up
> 
> Serial2/1              unassigned      YES unset  administratively down
> down    
> Serial2/2              unassigned      YES unset  administratively down
> down    
> Serial2/3              unassigned      YES unset  administratively down
> down    
> Loopback0              204.42.253.253  YES NVRAM  up                    up
> 
> Tunnel0                204.42.252.17   YES NVRAM  up                    up
> 
> Tunnel1                204.42.252.22   YES NVRAM  up                    up
> 
> Tunnel2                204.42.252.13   YES manual up                    up
> 
> 
> 	These ip addresses are all mapped to different names.
> 
> 	Other posibilities are to do what others do:
> 
> Name:    e40-rtr.mit.edu
> Addresses:  18.168.0.11, 18.72.0.1, 18.69.0.1, 18.185.0.1
>           18.183.0.1, 18.159.0.1, 18.176.0.1, 18.172.0.1, 18.100.0.1
>           18.71.0.1, 18.184.0.1, 18.178.0.1, 18.180.0.1, 18.91.0.1
>           18.177.0.1, 18.86.0.1
> 
> 	And just list multiple A (or AAAA records) for the host, and
> let the resolver pick one.  Many (modern) telnet clients will attempt
> to connect to each A record in the order they are returned, or may
> only attempt to connect to the first one returned.
> 
> 	- jared
> 
> On Wed, May 26, 1999 at 04:02:08PM -0400, Vitaly Chipitsyn wrote:
> > Hello, everyone!!
> > 
> > Could someone point me to documents, if such exist, where the problem
> > of returning dns queries for multihomed nodes is considered. 
> > 
> > Imagine a situation when a node that can be reacheable from several
> > points. This generally occurs when a site has more than one point of
> > attachement to the internet. In the case of IPv6, this means that each 
> > such attachement point has a distinct routing/address prefix. Thus,
> > the node we are concerned about would potentially have more than one
> > IPv6 address, especially considering site-local numbering scheme. 
> > 
> > The way it relates to DNS is: 
> > 1) what IPv6 address will DNS return for such node? All of them? 
> > 2) assuming that one of attachement points for this site goes down and 
> > the node is still reacheable via other links to the internet, will DNS 
> > take consider it in any way, or it is solely the responsibility of the 
> > sending node?
> > 3) does dynamic DNS address these issues in any way? (I haven't read
> RFCs)
> > 
> > Thank you.
> > --vc
> 
> -- 
> Jared Mauch  | pgp key available via finger from [email-masked]
> clue++;      | http://puck.nether.net/~jared/  My statements are only
> mine.